--- 2.2.2 2011-04-16 ---
*** common changes ***
* Align ip-address in a chat (only for monospaced fonts).
* Added configuration options: ENABLE_STACKTRACE, WITH_DEV_FILES and EISKALTDCPP_INCLUDE_DIR.
* Added separate file for logging completely finished downloads.
*** eiskaltdcpp-qt ***
* Added ability to build program on Haiku-OS (see file INSTALL).
* Fixed loading of emoticons from emoticon packs. It was support files only in PNG format, but now it can load images in any standart format.
* Improvements in the dialog with black list of search results.
* Fixed highlighting of status messages in a chat: the color is now applied to full message.
* Improvement in the search widget: tooltip shows where is the file located if it exists in the share.
* Fixed small memory leaks and produced code cleanup.
*** eiskaltdcpp-gtk ***
* Fixed initialization of the toolbar.
* "Emoticons not loaded" messages is now disabled, when emoticons is switched off.
*** eiskaltdcpp-daemon ***
* Added ability to build program on Haiku-OS (see file INSTALL).
* Added command line options: --pidfile, --confdir, --localdir

--- 2.2.1 2011-03-08 ---
*** common changes ***
* Fixed build under MS Windows.
* Partial synchronization with DC++ kernel (0.785).
* Fixed support for Lua-scripts. (It was broken in version 2.2.0 when was sync with DC++ kernel)
* Fixed bug with "empty share" at startup. Now after updating the list of files will be done back up, which is used when the program starts. Note: an empty list of files is not an empty share! (Many people were wrong in this regard)
* Fixed the answering function for search queries on the ADC-hubs. (Bug was added in version 2.2.0 when was sync with DC++ kernel)
* Added ability to disable segmenting and to change segment size (in MiB).
*** eiskaltdcpp-qt ***
* Fixed a crash program when using the filter in the search results when new query results come.
* Algorithm for adding separator (horizontal line) for unread messages in the chat was updated. Now it works fine.
* Added item view 'properties of magnet links' to all related menu.
* Added support for search links (magnets with kt-keyword). (See also: https://bugs.launchpad.net/dcplusplus/+bug/674545)
* Fixed keyboard shortcut Ctrl+C in a personal chat. (Bug was added in version 2.2.0)
* Added option to show only completely finished transfers in finished transfers widget. A simple filter is used: incomplete downloads can hide and show again.
* Code of work with database (SQLite is used) found to be stable. Some columns have been added to finished transfers tables, it is recommended to delete old files to avoid possible problems: ~/.config/eiskaltdc++/*.sqlite
* Some fixes for user commands.
* Added ability to highlight user-defined keywords in chat.
* Added ability to customize the color of download/upload progressbars.
* Added option to play sound when personal chat is active.
* Improvements in the scrolling algorithm of history of sent messages.
* Fixed crash when deleting the active (editable) elements from the black list of search results. Added ability to sort the list.
* Now user commands menu are not shown if commands list on hub is empty.
* Added option to hide icons in menus. (Useful for Mac OS X users)
* Changed the response for blank nick when the program starts: now a dialog to enter a nickname is opened instead of the general preferences dialog.
* Added ability to use aspell in the assembly under MS Windows.
* Added ability to specify BIND_ADDRESS in the preferences dialog.
*** eiskaltdcpp-gtk ***
* Improvements in the search widget.
* Fixed saving of number of upload slots in the preferences dialog. (Bug was added in version 2.2.0)
* Added option to display only the transmission is completed in the widget programs. A hard algorithm is used: incomplete downloads are removed from the list and will not be added to it.
* Hotkeys were synchronized with EiskaltDC++ Qt.
* Fixed builds with libnotify >= 0.7.0.
* Changed the parser of magnet-links.
* Fixed issue with loading emoticons. (In the xml-files emoticon packs it was pointed standalone = "no" instead of "yes")
* Added the ability to play audio notifications without using libgnome.
*** eiskaltdcpp-daemon ***
* Fixed sending a password when connecting to hubs with registration.
* Rewrote the code that is responsible for using of threads. Now program can be builded in MS Windows.
  Note: This binary can't be run as a service of Windows, because the process must be run on behalf of an existing user (for access to the settings).
* XML-RPC access to the program is now in active development but not yet ready.

--- 2.2.0 2011-01-16 ---
*** common changes ***
* Completed the transition to the 0.770 kernel. Version 0.770 is conditional, since it's used the patches from more recent revisions. However, full synchronization with lastest DC++ kernel is not planned because of some of its shortcomings. For example: 1) a deeper connection to libboost; 2) using of the code, which requires -std=c++0x and gcc >= 4.5.x; 3) using settings of the graphical window in the kernel config.
* Broken support for Lua-scripts. Build the program with -DLUA_SCRIPT=OFF.
* Thanks to Uhlik the Czech translation is now available.
* Now limit on share size doesn't apply to favorite users and users with granted slots.
* Added partial file sharing extension (PFSR). It allow you to download files that clients have not completely downloaded or was previously downloaded but not shared immediately. (PFSR is taken from the StrongDC++ project) [see also http://www.adcportal.com/wiki/PFSR_-_Partial_file_sharing]
* Fixed incorrect use of speed limits: if this value is greater than zero, then the restriction applies even if it was disabled in settings. (Bug was added in version 2.1.0)
* Fixed deadlock when downloading files with extremely long names. Type of file system is now irrelevant.
* Added ToS (Type-of-Service) socket option.
*** eiskaltdcpp-qt ***
* Fixed parsing of emoticons in new messages. Now more fast and correct.
* Improvements in the search widget.
* Highlight duplicates in share.
* Implemented blacklist for search results.
* Added separator (horizontal line) for unread messages in the chat. (Default is switched off) (This is experimental option)
* Added an option of the connection type in the favorite hubs settings.
* Added a speed limit button to the tools panel.
* Added ability of redirecting new personal messages to the main chat.
* Now you can set share restrictions in the share browser widget. Just open own file list and use the menu.
* Disabled colorize of progress-bar in transfers widget.
* Added open directory item to the context menu for own file list.
* Added item to copy web-magnets in all related menu.
* Added search frame for a personal chat.
* Fixed possible deadlock when connecting to DynDNS.
* Print backtrace in console when receiving the signal SIGSEGV (segmentation fault).
* Fixed mistake of selecting another user in context menu of the chat. (Bug was added in version 2.1.0)
* Fixed bug of displaying search results when searching directories. It was shown only one result before applying sorting.
* Fixed bug of displaying file names in UTF-8 in the file list widget under MS Windows.
* Fixed opening shared directory with non ASCII symbols in the file list widget under MS Windows.
* Reworked dialog of sending hub commands.
* Fixed bug with sending away messages to the bots on NMDC hubs.
* Fixed restoring wide-open window mode at startup.
* Fixed problem with inability to set a hotkey Esc in the settings.
* Support for BBСode tags [s][/s], [code][/code], [url][/url] and [color][/color] in the chat.
* Support for nested BBСode tags.
* Fixed tray icon action on left mouse click in MS Windows.
* Fixed blurred program icon on the taskbar in MS Windows 7.
* Open magnet link item was added into main menu.
* Improvement in the magnet-link properties dialog: rapid selection of previously used directories for downloading.
* Removed unnecessary dependencies during linking on Mac OS X.
* Fixed small bug AntiSpam module for the main chat. (It was added in version 2.1.0)
* Fixed a false light files as duplicates in the results of ADL-search.
* Fixed using %[userNI] in the logs of the chat. (Bug was added in version 2.1.0)
* Added a column with information about using of encryption in the transfers list.
* Fixed a program crash when getting in the search results entries with a blank file name.
* When window is activate input field will receive focus again. (The problem was added in version 2.1.0)
* Changed algorithm to test run only one instance of the program. Now QtSingleApplication is used.
* Added support of SQLite database. Now it is used for saving finished transfers list. (Disabled by default, see file INSTALL) (This is experimental option)
* Correction of the notification system with an active personal correspondence.
* Double click on the free space indicator now opens the download directory.
* Removed support for *bold* and _underlined_ text like in Psi.
* Improved hot change the interface language without restarting the program.
* Added the ability to scale the preferences dialog to a smaller size. The window size is remembered.
* Extended settings dialog.
*** eiskaltdcpp-gtk ***
* Improvements in the search widget.
* Fixed path to lock file of launched program (it was ~/.dc++/). Now it launches only one instance of the DC-client and magnet-links are correctly intercepted by it.
* Added hot keys Left/Right to expand the directory tree in the widget view a list of files.
* Extended settings dialog.
*** eiskaltdcpp-daemon ***
* Development has begun. Attention: the program is not yet ready to use!
* At the moment it is uncontrollable demon. You can only run it and kill.
* Launched process (see man-page) picks up the settings from configuration files that are created manually or by using graphical interface on Qt or Gtk. The result: initiated downloads is continuing, users can access to your share and so on.

--- 2.1.1 2010-11-21 ---
*** common changes ***
* Fixed TigerHash for ARM architecture.
* -DUSE_MINIUPNP is set to OFF by default.
* Fixed issue with blocking ports on restarting the program.
* Added ability to use pcre library for regex in perl style (see option PERL_REGEX in file INSTALL). Currently it uses only in ADL Search.
*** eiskaltdcpp-qt ***
* Fixed crash when deleting last characters in the input field of the chat by using the Backspace. (The problem manifested only with Qt 4.7.1)
* Optimized link parser. Very long new chat messages are displayed much faster.
* Fixed opening torrent's magnet links from chat.
* Added ability to forced change the background color in the chat.
* Fixed wrong icon path for App Bundle in Mac OS X. (The problem was added in 2.1.0)
* BBСode support in the chat ([b][/b], [u][/u], [i][/i]).
* Support for *bold* and _underlined_ text like in Psi.
*** eiskaltdcpp-gtk ***
* Improvements in the main menu.
* Improvements in the toolbar.
* BBСode support in the chat ([b][/b], [u][/u], [i][/i]).

--- 2.1.0 2010-11-07 ---
*** common changes ***
* libeiskaltdcpp library was separated from the basic binary file for unix-like systems.
* Added localization of kernel messages. Gettext used.
* Added ability to use Lua-scripts (see the file INSTALL).
* Added ability to use miniUPnP for connection (see file INSTALL).
* Added set of sound files from the FlylinkDC++ project.
* Kernel (dcpp) was partially updated to version 0.777.
* Added NATT (see http://www.adcportal.com/wiki/index.php/NATT_-_NAT_traversal)
* Made the possibility of using a case-sensitive file-list (CaseSensitiveFilelist option in SettingManager). If you have directories in which located are files of file.txt, FILE.txt and/or File.txt, now it will not cause problems with the permanent updating of the share and all these files will be simultaneously available to other users for downloading. By default this option is disabled, because it can cause a violation of compatibility with other DC-clients. (see discussion: https://bugs.launchpad.net/linuxdcpp/bug/311818)
* Note: when upgrading to this version of program, after restarts, it will be forced once fully rehashing your files. This is due to the fact that now file hashes are stored in case-sensitive form. The way a file-list will be formed from these hashes depends on the option described above. By default, the file names in file-list are stored in lowercase, in accordance with the specification.
*** eiskaltdcpp-qt ***
* Now when you hide main menu (Ctrl+M), the corresponding button will be added to the toolbar.
* Added ability to customize the list of actions on toolbar. (Right click on toolbar --> Customize)
* Added option to display the ip-addresses of users in the chat. (Depending on hub configuration: information about them is usually available only to operators)
* Fixed a problem with minimum width of main window in Mac OS X.
* Multi-line widgets panel (tabs).
* Added ability to hide close buttons from tabs (see context menu on the panel).
* Thanks to Gustavo Alvarez the Spanish translation is now available.
* Thanks to Rusi Dimitrov the Bulgarian translation is now available.
* Thanks to Martin Durisin the Slovak translation is now available.
* Added ability to build program without libupnp and QtDBus (see file INSTALL).
* Added ability to build program on MS Windows (see file win32/READ_ME.txt).
* Added a hash progress indicator in the status line. Combined menu 'Refresh share' and 'Hash progress'.
* Extended settings dialog.
* Removed extra code (option -DFREE_SPACE_BAR for cmake). Assemblies with -DFREE_SPACE_BAR_C=ON work stably on all supported platforms.
* Added ability to configure connection via UPnP (used miniupnp).
* Removed the possibility to build with libupnp 1.6 .* (USE_LIBUPNP option).
* Added /luafile and /lua chat commands (see man-page or /help in chat).
* Added widget for ADL-search configuration.
* Auto-away interval (watching for user activity).
* Changed functions working with smilies. It is now possible to use the original emoticon packs from other customers at no additional modifications. Smiley-packs which supplied with the program are common for Qt and Gtk interfaces.
* Added ability to use Qt regular expressions in userlist filter (enter ##<regexp> in filter)
* Added logging anti-spam bot (antispam.log file in ~/.config/eiskaltdc++/ or in a different directory, depending on build options).
* Added shortcut manager.
* Added support of Qt Declarative UI (work only with Qt >= 4.7.0).
* Added emoticons panel (see suitable option in Settings-->GUI-->Chat)
* Added dialog for calculating TTH of any file.
*** eiskaltdcpp-gtk ***
* Added Gtk interface based on code of FreeDC++ and LinuxDC++.
* The interface is localized using gettext.
* Default icons for Gtk interface synchronized with default icons from Qt interface.
* Added widget for ADL-search configuration.
* Added ability to configure connection via UPnP (used miniupnp).
* Added /sh and /alias chat commands (see man-page or /help in chat).
* Added /luafile and /lua chat commands (see man-page or /help in chat).
* Added dialog for calculating TTH of any file.
* Displaying images in the chat ([img]magnet[/img]).

--- 2.0.3 2010-06-08 ---
* Fixed display of unread messages using the tray icon.
* Fixed potential problems with search using locales other than UTF-8. (Now kernel takes default encoding specified in the preferences rather than local ones, as it was before)
* Added graphical configuration of user commands in the Settings dialog. (In previous versions it was necessary to edit xml-config manually)
* Thanks to Dmytro Demenko the Ukrainian translation is now available.
* Thanks to Miroslav Petrovic the Serbian translation is now available.
* Preferences moved to $XDG_CONFIG_HOME/eiskaltdc++/ directory (environment variable $XDG_CONFIG_HOME mostly often defined as ~/.config/). Preferences directory will be automatically moved at first start after the upgrade. Using $XDG_CONFIG_HOME can be disabled during the configuration, see file INSTALL.
* Added ability to place templates with predefined program settings to /usr/share/eiskaltdcpp/config/ directory (depends on cmake options, see file INSTALL). This templates (instead of default settings) will be copied to personal user preferences directory when you first start program.
* Added drag'n'drop of files to messages input field. If file is shared, magnet link will be placed to input field instead of file path.
* Chat command /sh now supports macro <magnet show=alternative filename>path to file</magnet>. You can find how to use it in 'examples' directory.
* Improved anti-spam module, all the previously planned functionality is now available.
* Added option to change the representation of size (kibibyte (KiB) <=> kilobyte (KB), etc.), see man-page.
* Added QtScript basic support (disabled by default, see file INSTALL).
* Added support for system icon theme (disabled by default, see file INSTALL).
* Added some JS-script examples (LogViewer, Amarok: Now Playing, Konsole), improved interaction with DC++ core and client.
* Auto-resizing input widget in chats. (Use Shift+Enter for carriage return)
* Bugfixes.

--- 2.0.2 2010-05-04 ---
* Thanks to Alexandre Wallimann the French translation is now available.
* Thanks to Arahael the Polish translation is now available.
* Added ability to use the side dock with list of widgets instead of a one-line panel with tabs.
* Added ability to build with Qt >= 4.4.0. Previously required Qt >= 4.5.0.
* Added filter in search widget.
* Improvements in notifications about new messages in chat (different icons).
* Fixed bug with fall of program when using search. Bug present in all previous revisions.
* Changed default logs format.
* Improvements in text boxes.
* Added submenu in user list to copy bits of users info.

--- 2.0.1 2010-04-18 ---
* Added widget with public hubs.
* Filtering support in basic widgets (Ctrl+F hotkey).
* Away mode support.
* The File menu was splitted into several thematic menus.
* Added custom scripts examples.
* Added status line with the last message on hub.
* Added fast search panel.
* Added ability to run several instances of client by different system users.
  Different local ports have to be specified in the settings.
* Thanks to Akos Berki the Hungarian translation is now available.
* Added ability to disable chat during automatic connecting to favorite hub.
* Added option in preference dialog to limit hashing speed.
* Added ability to pause hashing process.
* Added ability to limit upload to users according their own share size.
* Fixed problems during restoring program from system tray in Gnome and Mac OS X.
* Added history of sent messages, their number can be configured.
* Added search history, their number can be configured.
* Improved configuration of file exceptions from share.
* Significantly expanded the settings dialog.
* Lots of bug fixes, etc.

--- 2.0 2010-03-22 ---
* Migration to the dc++ core (v0.75) and respectively support ADC.
* Full-featured chat (parsing magnets, links, emoticons, search in the chat, filtering in users list, chat commands).
* Full-featured search engine and file-browser (lights already shared files, etc.).
* Group transfers in connection manager.
* Separate download manager.
* Download and upload lists.
* Favourite users (autoslots and etc.); favourite hubs.
* Text (using default Qt tray messages or using standart D-Bus system manager notices) and sound notifications.
* Support of themes, icons and emoticon-packs.
* The ability to not share files by mask.
* UPnP Support.
* Substitution tag in favourite hubs.
* Compulsory indication of external IP-address in favourite hubs.
* Auto-update external IP through DynDNS in favourite hubs.
* Search spy.
* IP-filter.
* Spell-checking using Aspell.
